libzypp: zypp::sat::detail::Transaction_const_iterator Class Reference

libzypp 17.36.6

Public Member Functions | Private Member Functions | Private Attributes | Friends | List of all members
zypp::sat::detail::Transaction_const_iterator Class Reference

Transaction const_iterator. More...

`#include <zypp/sat/Transaction.h>`

Inheritance diagram for zypp::sat::detail::Transaction_const_iterator:

## Public Member Functions
| Transaction_const_iterator ()
| Transaction_const_iterator (const Transaction_iterator &iter_r)
| Transaction_const_iterator (const RW_pointer< Transaction::Impl > &pimpl_r, base_type id_r)

## Private Member Functions
reference | dereference () const

## Private Attributes
RW_pointer< Transaction::Impl > | _pimpl
| Pointer to implementation.

## Friends
class | boost::iterator_core_access

## Detailed Description

Transaction const_iterator.

Definition at line 321 of file Transaction.h.

## Constructor & Destructor Documentation

## ◆ Transaction_const_iterator() [1/3]

zypp::sat::detail::Transaction_const_iterator::Transaction_const_iterator | ( |  | ) |

Definition at line 453 of file Transaction.cc.

## ◆ Transaction_const_iterator() [2/3]

zypp::sat::detail::Transaction_const_iterator::Transaction_const_iterator | ( | const Transaction_iterator & | iter_r | ) |

Definition at line 457 of file Transaction.cc.

## ◆ Transaction_const_iterator() [3/3]

zypp::sat::detail::Transaction_const_iterator::Transaction_const_iterator | ( | const RW_pointer< Transaction::Impl > & | pimpl_r,
|  | base_type | id_r )
| inline

Definition at line 332 of file Transaction.h.

## Member Function Documentation

## ◆ dereference()

reference zypp::sat::detail::Transaction_const_iterator::dereference | ( |  | ) | const
| inlineprivate

Definition at line 340 of file Transaction.h.

## Friends And Related Symbol Documentation

## ◆ boost::iterator_core_access

friend class boost::iterator_core_access
| friend

Definition at line 338 of file Transaction.h.

## Member Data Documentation

## ◆ _pimpl

RW_pointer<Transaction::Impl> zypp::sat::detail::Transaction_const_iterator::_pimpl
| private

Pointer to implementation.

Definition at line 345 of file Transaction.h.

The documentation for this class was generated from the following files:

- zypp/sat/Transaction.h
- zypp/sat/Transaction.cc